curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/lastBackgroundTask \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/lastBackgroundTask"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/lastBackgroundTask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asyncRequest": {
"action": "PRE_ANALYSE",
"asyncResponse": {
"acceptedSegmentsCount": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorDesc": "<string>",
"errorDetails": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
]
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"parent": "<unknown>",
"project": {
"name": "<string>",
"uid": "<string>"
}
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateFinished": "2023-11-07T05:31:56Z",
"finishedDataText": "<string>",
"lastTaskError": "<string>",
"lastTaskErrorHtml": "<string>",
"lastTaskOk": "<string>",
"lastTaskString": "<string>",
"metadata": {
"deduplicatedSegmentsCount": 123,
"metadataByLanguage": {},
"segmentsCount": 123
},
"status": "<string>"
}Get last task information
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Translation memory UID
Response
OK
Background task status and metadata for a translation memory
Show child attributes
Show child attributes
Date the last background task was created
Date the last background task finished
Text data produced when the task finished
Human-readable error message for the last task
HTML-formatted error message for the last task
Human-readable success message for the last task (e.g. import count)
String representation of the last background task
Translation memory metadata: segment count and size statistics.
Show child attributes
Show child attributes
Status of the last background task (e.g. OK, ERROR, RUNNING)
Was this page helpful?